<template>
    <div>
        <h1>Loading Spinner</h1>
        <div class="component">
            <cumulus-loading-spinner
                :fullScreen="fullScreen"
                :height="height"
                :width="width" />
        </div>
        <div class="props">
            <h4>Props</h4>
            <div class="props-content">
                <label>:height</label>
                <input type="text" v-model="height" />
                <label>:width</label>
                <input type="text" v-model="width" />
                <label>:fullScreen</label>
                <input type="checkbox" v-model="fullScreen" />
            </div>
        </div>
        <div class="events">
        </div>
    </div>
</template>

<script>
import CumulusLoadingSpinner from '../../components/loading-spinner/loading-spinner.vue';

export default {
    name: 'LoadingSpinnerSandbox',

    components: { CumulusLoadingSpinner },

    data() {
        return {
            fullScreen: false,
            height: '120px',
            width: '120px',
        };
    },
};

</script>
<style lang="scss">
</style>
